package com.wechat.model.dto;

import java.util.List;

public class VipPackageDto {
	private int pkgId; // 套餐id
	private String pkgType; // 套餐类型[1-个人；2-企业]
	private String pkgTitle; // 套餐标题
	private String pkgIntroduction; // 套餐简介
	private String pkgStatus; // 状态[1-草稿；2-待上架；3-在售；4-停售]
	private String pkgTitleEn; // 套餐标题英文
	private String pkgIntroductionEn; // 套餐简介英文
	private String recommended; // 是否推荐[0-不推荐；1-推荐；]
	private String vipFlag; // 套餐等级
	private Integer sort; // 排序字段
	
	private List<VipPackagePriceDto> pkgPrice; // 套餐售价
	private List<VipPackageDetailGroupDto> pkgDetailGroup; // 套餐详情分组

	public int getPkgId() {
		return pkgId;
	}
	public void setPkgId(int pkgId) {
		this.pkgId = pkgId;
	}
	public String getPkgType() {
		return pkgType;
	}
	public void setPkgType(String pkgType) {
		this.pkgType = pkgType;
	}
	public String getPkgTitle() {
		return pkgTitle;
	}
	public void setPkgTitle(String pkgTitle) {
		this.pkgTitle = pkgTitle;
	}
	public String getPkgIntroduction() {
		return pkgIntroduction;
	}
	public void setPkgIntroduction(String pkgIntroduction) {
		this.pkgIntroduction = pkgIntroduction;
	}
	public String getPkgStatus() {
		return pkgStatus;
	}
	public void setPkgStatus(String pkgStatus) {
		this.pkgStatus = pkgStatus;
	}
	public String getPkgTitleEn() {
		return pkgTitleEn;
	}
	public void setPkgTitleEn(String pkgTitleEn) {
		this.pkgTitleEn = pkgTitleEn;
	}
	public String getPkgIntroductionEn() {
		return pkgIntroductionEn;
	}
	public void setPkgIntroductionEn(String pkgIntroductionEn) {
		this.pkgIntroductionEn = pkgIntroductionEn;
	}
	public Integer getSort() {
		return sort;
	}
	public void setSort(Integer sort) {
		this.sort = sort;
	}
	public List<VipPackagePriceDto> getPkgPrice() {
		return pkgPrice;
	}
	public void setPkgPrice(List<VipPackagePriceDto> pkgPrice) {
		this.pkgPrice = pkgPrice;
	}

	public String getRecommended() {
		return recommended;
	}
	public void setRecommended(String recommended) {
		this.recommended = recommended;
	}

	public List<VipPackageDetailGroupDto> getPkgDetailGroup() {
		return pkgDetailGroup;
	}
	public void setPkgDetailGroup(List<VipPackageDetailGroupDto> pkgDetailGroup) {
		this.pkgDetailGroup = pkgDetailGroup;
	}
	public String getVipFlag() {
		return vipFlag;
	}
	public void setVipFlag(String vipFlag) {
		this.vipFlag = vipFlag;
	}
	
	

}